<?php
    

session_start();
	if (!isset($_SESSION['user_id']) AND $_SESSION['user_id'] != 1) {
    	header("location: ../index.php");
    	exit;
    }

/*Inicia validacion del lado del servidor*/
	if (isset($_POST['token']) && $_POST['token']!=null) {

		include "../config/config.php";//Contiene funcion que conecta a la base de datos
        
        $kind_id = $_POST["kind_id"];
        $area = mysqli_real_escape_string($con,(strip_tags($_POST["lista2"],ENT_QUOTES)));
        $id_update = $_POST["id_update"];
        
        $sql = "UPDATE tickets SET kind_id='$kind_id', area='$area' WHERE id='$id_update'";
        
        $query_new_insert = mysqli_query($con,$sql);
			if ($query_new_insert){
               $messages= sha1(md5("Tu ticket ha sido Actualizado satisfactoriamente."));
				header("location: ../registrados.php?success=$messages");
            }else{
                $errors= sha1(md5("Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con)));
				header("location: ../registrados.php?error=$errors");
            }
        
    }else{
	header("location: ../ticket_detailadm.php");
}
?>